Subject: [bug#72349] [PATCH] gnu: python-benchexec: Update to 3.29.

From: Liliana Marie Prikler <[email-masked]>
Date: Sun, 16 Mar 2025 18:26:00 +0100

Am Sonntag, dem 16.03.2025 um 13:18 -0400 schrieb Greg Hogan:
> On Wed, Mar 12, 2025 at 3:43 AM Liliana Marie Prikler
> <[email-masked]> wrote:
> > 
> > Am Dienstag, dem 11.03.2025 um 19:35 +0000 schrieb Greg Hogan:
> > > This patch applies onto #72349. Primarily, in running the
> > > quickstart
> > > I needed to have fuse-overlayfs installed.
> > > 
> > > * gnu/packages/benchmark.scm (python-benchexec): Update to 3.29.
> > > [arguments]<#:phases>: Add 'fix-paths phase.
> > > [propagated-inputs]: Add fuse-overlayfs.
> > > [native-inputs]: Add python-setuptools and python-wheel.
> > > 
> > > Change-Id: I79916bd559fb7019f2953a0f0502d4f0ab9315eb
> > Have you checked whether you can enable some more tests with fuse-
> > overlayfs?  I refrained from pushing this package because it
> > appeared quite broken.
> > 
> > Cheers
> 
> What do you mean by "pushing this package"? fuse-overlayfs was added
> in 2022. Tests on which package, benchexec or fuse-overlayfs?
Pardon my brevity, I meant benchexec.  As far as I'm aware, it
shouldn't yet be pushed to Guix, is it?

Cheers